﻿Imports System.Collections.ObjectModel

Namespace ViewModel
    Public Class FahrzeugeVm
        Public Sub New()
            Fahrzeuge = New ObservableCollection(Of Fahrzeug) From {
                New Fahrzeug() With {.Marke = "Volkswagen", .Modell = "Passat", .LeistungPs = 128},
                New Fahrzeug() With {.Marke = "Seat", .Modell = "Ibiza", .LeistungPs = 89},
                New Fahrzeug() With {.Marke = "Audi", .Modell = "A3", .LeistungPs = 150}}
        End Sub

        Public Property Fahrzeuge As ObservableCollection(Of Fahrzeug)
    End Class

    Public Class Fahrzeug
        Public Property Marke As String
        Public Property Modell As String
        Public Property LeistungPs As Integer

        Public Overrides Function ToString() As String
            Return $"{Marke} {Modell} hat {LeistungPs} PS"
        End Function
    End Class
End Namespace